1. Order
Aurpay API
  • Aurpay Crypto Payment Integration
  • API-Key Authentication Method
    • Order
      • Get Payment URL
      • Get Payment Info
      • Get Orders
      • Get Orders Details
      • Get Orders Refund Info
      • Orders Refund
      • Get Transaction
      • Get Support Crypto Currency List
      • Get Support Real Currency List
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
    • Get API-Key
      POST
  • Signature Authentication Method
    • Order
      • Get Payment URL
        POST
      • Get Payment Info
        POST
      • Get Support Real Currency List
        GET
      • Get Support Crypto Currency List
        GET
      • Get Orders
        GET
      • Get Orders Details
        GET
      • Get Transaction
        GET
      • Get Orders Refund Info
        GET
      • Orders Refund
        POST
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
  • Callbakc Description
    • Callback Authentication Method
  1. Order

Get Payment Info

POST
/api/order/pay-info

Request

Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dashboard.aurpay.net/api/order/pay-info' \
--header 'Content-Type: application/json' \
--data '{
    "chain": "ETH", // Supported blockchain
    "currency": "USDT-ERC20", // Supported Cryptocurrency currency
    "vs_currency": "USD", // Order amount in real currency - required
    "vs_price": 18, // Real currency type - required
    "succeed_url": "https://example.com/succeed_url", // Redirect URL to checkout page after successful payment
    "timeout_url": "https://example.com/timeout_url", // Redirect URL to checkout page after payment timeout
    "callback_url": "https://example.com/callback_url", // Callback URL(GET) after successful payment
    "timeout_callback": "https://example.com/timeout_callback" // Callback URL(GET) after payment timeout
}'
Response Response Example
{
    "code": 0,
    "message": "ok",
    "data": {
        "order_id": "20240613093614690315",
        "status": "PENDING",
        "amount": 18.0098,
        "create_time": "2024-06-13T09:36:14",
        "vs_currency": "USD",
        "vs_price": 18,
        "address": "0x686691e7b70e9239e19eB4cd080DDb8aB6F33cf3",
        "contract_addr": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
        "pay_url": "https://dashboard.aurpay.net/#/cashier/20240613093614690315"
    },
    "result": true
}
Previous
Get Payment URL
Next
Get Support Real Currency List
Built with